Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class FNode

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Nod
                      org.basex.query.item.FNode

Direct Known Subclasses:
  FAttr, FComm, FDoc, FElem, FPI, FTxt

    public abstract class FNode

extends Nod

Node Type.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.item.Item
`type`

Method Summary
`NodeIter` | `attr()` Returns an attribute axis iterator.
`NodeMore` | `child()` Returns a child axis iterator.
`NodeIter` | `desc()` Returns a descendant axis iterator.
`NodeIter` | `descOrSelf()` Returns a descendant-or-self axis iterator.
`int` | `diff(Nod nod)` Compares two nodes for their unique order.
`boolean` | `is(Nod nod)` Compares two nodes for equality.
`Nod` | `parent()` Returns the parent node.

Methods inherited from class org.basex.query.item.Nod
`anc, ancOrSelf, base, bool, copy, dbl, dec, diff, eq, finish, flt, foll, follSibl, itr, java, kind, nname, ns, par, parent, prec, precSibl, qname, qname, self`

Methods inherited from class org.basex.query.item.Item
`atomic, castErr, comp, d, duplicates, ebv, hash, i, iter, iter, n, name, node, plan, removable, returned, s, score, score, serialize, str, test, toString, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### is

    public boolean is(Nod nod)

  Description copied from class: `Nod`
  Compares two nodes for equality.

  Specified by:
    `is` in class `Nod`
  Parameters:
    `nod` - node to be compared
  Returns:
    result of check

### diff

    public final int diff(Nod nod)

  Description copied from class: `Nod`
  Compares two nodes for their unique order.

  Specified by:
    `diff` in class `Nod`
  Parameters:
    `nod` - node to be compared
  Returns:
    0 if the nodes are equal or a positive/negative value if the node appears after/before the argument

### parent

    public Nod parent()

  Description copied from class: `Nod`
  Returns the parent node.

  Specified by:
    `parent` in class `Nod`
  Returns:
    parent node

### attr

    public final NodeIter attr()

  Description copied from class: `Nod`
  Returns an attribute axis iterator.

  Specified by:
    `attr` in class `Nod`
  Returns:
    iterator

### child

    public final NodeMore child()

  Description copied from class: `Nod`
  Returns a child axis iterator.

  Specified by:
    `child` in class `Nod`
  Returns:
    iterator

### desc

    public final NodeIter desc()

  Description copied from class: `Nod`
  Returns a descendant axis iterator.

  Specified by:
    `desc` in class `Nod`
  Returns:
    iterator

### descOrSelf

    public final NodeIter descOrSelf()

  Description copied from class: `Nod`
  Returns a descendant-or-self axis iterator.

  Specified by:
    `descOrSelf` in class `Nod`
  Returns:
    iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD